import { createRouter, createWebHistory } from 'vue-router';
import store from '@/stores/counter';
import axios from 'axios';
// 公共
import common from './module/common';
// 系统管理
import system from './module/system';
// 账号管理
import account from './module/account';
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      meta: { title: '基础动态管理平台' },
      component: () => import('@/views/homeIndex.vue')
    },

    // 公共
    ...common,
    // 账号管理
    ...account,
    // 系统管理
    ...system
  ]
});

router.beforeEach(async (to, from, next) => {
  document.title = `${to.meta.title} `;
  const token = localStorage.getItem('token');
  if (token) {
    const res = await axios.request({
      method: 'get',
      url: '/jcyjdtglpt/v1/api/token/tokenView',
      responseType: 'json',
      headers: {
        token: token
      }
    });
    if (res.data.errcode == '0') {
      store.commit('setUser', res.data.data, { root: true });
    }
    next();
  } else {
    window.alert('无登录信息，无法打开');
  }
});
export default router;
